Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.pc.comm
Class OutputState

    java.lang.Object
      lejos.pc.comm.OutputState

    public class OutputState

extends java.lang.Object

Container for holding the output state values.

Version:
  0.2 September 9, 2006
Author:
  Brian Bagnall
See Also:
  `NXTCommand`

Field Summary
`int` | `blockTachoCount` Current position relative to last programmed movement
`int` | `mode` The motor mode - see NXTProtocol for enumeration
`int` | `outputPort` The port number - range: 0 to 2
`byte` | `powerSetpoint` The power setting : -100 to 100
`int` | `regulationMode` The regulation mode - see NXTProtocol for enumeration
`int` | `rotationCount` Current position relative to last reset of the rotation sensor for this motor)
`int` | `runState` The run state - see NXTProtocol for enumeration
`byte` | `status` Status of the NXTCommand.getOutputState command.
`int` | `tachoCount` Internal count.
`long` | `tachoLimit` Current limit on a movement in progress, if any
`byte` | `turnRatio` The turn ratio: -100 to 100

Constructor Summary
`OutputState(int port)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    public byte status

  Status of the NXTCommand.getOutputState command.

### outputPort

    public int outputPort

  The port number - range: 0 to 2

### powerSetpoint

    public byte powerSetpoint

  The power setting : -100 to 100

### mode

    public int mode

  The motor mode - see NXTProtocol for enumeration

### regulationMode

    public int regulationMode

  The regulation mode - see NXTProtocol for enumeration

### turnRatio

    public byte turnRatio

  The turn ratio: -100 to 100

### runState

    public int runState

  The run state - see NXTProtocol for enumeration

### tachoLimit

    public long tachoLimit

  Current limit on a movement in progress, if any

### tachoCount

    public int tachoCount

  Internal count. Number of counts since last reset of the motor counter)

### blockTachoCount

    public int blockTachoCount

  Current position relative to last programmed movement

### rotationCount

    public int rotationCount

  Current position relative to last reset of the rotation sensor for this motor)

Constructor Detail

### OutputState

    public OutputState(int port)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD